#!/bin/sh
#
# build-in-qemu.sh
#
# Expects running armhf qemu system, builds the binary inside.
#
# ISC License
#
# Copyright 2025 Brmlab, z.s.
# Dominik Pantůček <dominik.pantucek@trustica.cz>
#
# Permission to use, copy, modify, and/or distribute this software
# for any purpose with or without fee is hereby granted, provided
# that the above copyright notice and this permission notice appear
# in all copies.
# 
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
# WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE
# AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR
# CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
# OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
# NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
# CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

if [ -z "$1" ] ; then
    echo "Usage: $0 password"
    exit 1
fi
PASS="$1"

rsync -avr -e "sshpass -p$PASS ssh -p 2222" --exclude='*.import.scm' --exclude='*~' backend/*.scm backend/Makefile root@localhost:brminv/backend/
rsync -avr -e "sshpass -p$PASS ssh -p 2222" frontend/dist/* root@localhost:brminv/frontend/dist/
rsync -avr -e "sshpass -p$PASS ssh -p 2222" Makefile root@localhost:brminv/
rsync -avr -e "sshpass -p$PASS ssh -p 2222" --exclude='*~' tools/* root@localhost:brminv/tools/
sshpass -p$PASS ssh -p 2222 root@localhost 'make -C brminv'
sshpass -p$PASS scp -P 2222 root@localhost:brminv/brminv brminv-arm
